commit f5d35b8af351e12aca845f27441c970a27cc45a7
Author: freddy77 <freddy77>
Date:   Thu Jan 17 06:56:50 2008 +0000

    do not dump received header

diff --git a/ChangeLog b/ChangeLog
index f318306..06276f3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Jan 17  7:56:02 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: do not dump received header
+
 Mon Jan 14 20:20:31 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsodbc.h src/odbc/odbc.c:
 	- handle SQLCancel in signal handlers
@@ -59,4 +62,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2469 2008/01/14 19:21:06 freddy77 Exp $
+$Id: ChangeLog,v 1.2470 2008/01/17 06:56:50 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index 196af9b..867c8f5 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.73 2008/01/12 00:14:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.74 2008/01/17 06:56:50 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -581,7 +581,6 @@ tds_read_packet(TDSSOCKET * tds)
 		}
 		return -1;
 	}
-	tdsdump_dump_buf(TDS_DBG_NETWORK, "Received header", header, sizeof(header));
 
 #if 0
 	/*
@@ -606,7 +605,7 @@ tds_read_packet(TDSSOCKET * tds)
 #endif
 
 	/* Convert our packet length from network to host byte order */
-	len = ((((unsigned int) header[2]) << 8) | header[3]) - 8;
+	len = (((unsigned int) header[2]) << 8) | header[3];
 
 	/*
 	 * If this packet size is the largest we have gotten allocate space for it
@@ -630,9 +629,10 @@ tds_read_packet(TDSSOCKET * tds)
 
 	/* Clean out the in_buf so we don't use old stuff by mistake */
 	memset(tds->in_buf, 0, tds->in_buf_max);
+	memcpy(tds->in_buf, header, 8);
 
 	/* Now get exactly how many bytes the server told us to get */
-	have = 0;
+	have = 8;
 	while (have < len) {
 		int nbytes = goodread(tds, tds->in_buf + have, len - have);
 		if (nbytes < 1) {
@@ -659,7 +659,7 @@ tds_read_packet(TDSSOCKET * tds)
 
 	/* Set the length and pos (not sure what pos is used for now */
 	tds->in_len = have;
-	tds->in_pos = 0;
+	tds->in_pos = 8;
 	tdsdump_dump_buf(TDS_DBG_NETWORK, "Received packet", tds->in_buf, tds->in_len);
 
 	return (tds->in_len);

